#
# spec file for package fcitx-configtool
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define		pkgname fcitx-config-gtk3

Name:           fcitx-configtool
Version:        0.4.8
Release:        6.2
Summary:        GTK GUI config tool for FCITX
License:        GPL-2.0+
Group:          System/I18n/Chinese
Url:            http://code.google.com/p/fcitx
Source:         http://download.fcitx-im.org/fcitx-configtool/%{name}-%{version}.tar.xz
%if 0%{?suse_version}
BuildRequires:  dbus-1-glib-devel
%if 0%{?suse_version} <= 1140
BuildRequires:  libunique-devel
%else
BuildRequires:  libunique1-devel
%endif
%else
BuildRequires:  dbus-glib-devel
BuildRequires:  unique-devel
%endif
BuildRequires:  cmake
BuildRequires:  fcitx-devel
BuildRequires:  gcc-c++
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  iso-codes-devel
BuildRequires:  libtool
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
fcitx-config Gtk based configure tool for fcitx.

KDE Version see fcitx-config-kde4 or kcm-fcitx.

%package -n %{pkgname}
Summary:        GTK GUI Config tool for FCITX
Group:          System/I18n/Chinese
Provides:       fcitx-config-gtk = %{version}
Obsoletes:      fcitx-config-gtk < %{version}
Provides:       fcitx-config-gtk2 = %{version}
Obsoletes:      fcitx-config-gtk2 < %{version}
Provides:       %{name} = %{version}
Obsoletes:      %{name} < %{version}
Provides:       locale(libgnome:ko;zh_CN:zh_SG)
Supplements:    packageand(fcitx:libgtk-3-0)
%{fcitx_requires}

%description -n %{pkgname}
fcitx-config GTK based configure tool for fcitx.

KDE Version see fcitx-config-kde4 or kcm-fcitx.

%prep
%setup -q

%build
mkdir -pv build
pushd build
cmake   -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DLIB_INSTALL_DIR=%{_libdir} \
        ..
make

%install
pushd build
%makeinstall
popd

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n %{pkgname} -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%{_bindir}/*

%changelog
* Fri Feb 14 2014 fcrozat@suse.com
- Package COPYING as %%doc
* Sat Oct 26 2013 i@marguerite.su
- update version 0.4.8
  * This version fixes some look & feel issue caused by gtk 3.8
  * Now toolbar icon not shown issue should be fixed
  * Removed some outdated function in gtk 3.8 and 3.10
  * Other fixes include bnc#846037
- remove patch: fcitx-configtool-gnome-3.10-fixes.patch, upstreamed
* Fri Oct 18 2013 i@marguerite.su
- fix bnc#846037
  * New: Too narrow window in fcitx-config-gtk3 input method
    addition dialog
  * gtk_scrolled_window_add_with_viewport has been deprecated
    since version 3.8, now gtk_container_add() will now
    automatically add a GtkViewport if the child doesn't
    implement GtkScrollable
- GTK_STOCK_* is also depreciated
- Add patch:fcitx-configtool-gnome-3.10-fixes.patch
* Mon Jul  1 2013 i@marguerite.su
- update version 0.4.7
  * Support for new SubConfig Type
  * Support for Modifier Only Key Grab
- drop fcitx-config-gtk2
  * New fcitx-configtool requires gtk3-devel to build
* Sat Jan 26 2013 i@marguerite.su
- update version 0.4.6
  * Add support for new custom configuration ui.
* Sun Jan 13 2013 i@marguerite.su
- update version 0.4.5.2
  * bugfix release, fix some possible crash.
* Sat Oct 13 2012 i@marguerite.su
- update version 0.4.5.1
  * many gtk3 fixes.
* Sat Sep 15 2012 i@marguerite.su
- update version 0.4.5
  * Fix icons problem when there is no gnome-icon-symbolic
  * Add support for hidden options
  * Simplify access to current UI setting
* Mon Jun 25 2012 i@marguerite.su
- fix fedora builds.
* Mon Jun  4 2012 i@marguerite.su
- update version 0.4.4
  * fix a potential crash with newer gtk3
  * rework gtk3 version UI,  able to configure input method from input method page
* Mon May 28 2012 i@marguerite.su
- bring it into DVD.
* Sun May  6 2012 i@marguerite.su
- update to 0.4.3
  * lower gtk2 version library request compatible to RHEL/CentOS 6.
* Tue Apr 17 2012 i@marguerite.su
- update to 0.4.2
  * fix fcitx-config-gtk3 color and hotkey problem.
* Fri Mar  9 2012 hillwood@linuxfans.org
- update to 0.4.1
  * Tree view for input method choosing
  * Better UI layout, keep focus on last selected input method when
    move up and down.
  * update gtk3 version to use gtk3 new API.
* Wed Feb 29 2012 i@marguerite.su
- set _service disabled. update source from git.
* Sat Feb  4 2012 i@marguerite.su
- Clean spec, deleted unused files, make it pure openSUSE to M17N
* Mon Jan 30 2012 i@marguerite.su
- Fix openSUSE Factory build. patch glib 2.31
* Sat Jan 28 2012 i@marguerite.su
- Upstream version 0.4.0git.
* Sat Nov 19 2011 stecue@gmail.com
- fix for openSUSE 12.1
* Tue Oct  4 2011 hillwood@linuxfans.org
- rename the Package's name. Old name is fcitx-configtool.
* Sun Oct  2 2011 hillwood@linuxfans.org
- Rewrite description in spec
* Fri Sep  9 2011 hillwood@linuxfans.org
- update to 0.3.1
* Wed Sep  7 2011 hillwood@linuxfans.org
- first build.
